Aria: ArFunctor4< P1, P2, P3, P4 > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArFunctor4< P1, P2, P3, P4 > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArFunctor4< P1, P2, P3, P4 >:

List of all members.

## Detailed Description

### template<class P1, class P2, class P3, class P4>
class ArFunctor4< P1, P2, P3, P4 >

Base class for functors with 4 parameters.

This is the base class for functors with 4 parameters. Code that has a reference to a functor that takes 4 parameters should use this class name. This allows the code to know how to invoke the functor without knowing which class the member function is in.

For an overall description of functors, see ArFunctor.

## Public Member Functions
virtual void | invoke (P1 p1, P2 p2, P3 p3, P4 p4)=0
| Invokes the functor.
virtual void | invoke (P1 p1, P2 p2, P3 p3)=0
| Invokes the functor.
virtual void | invoke (P1 p1, P2 p2)=0
| Invokes the functor.
virtual void | invoke (P1 p1)=0
| Invokes the functor.
virtual void | invoke (void)=0
| Invokes the functor.
virtual | ~ArFunctor4 ()
| Destructor.

## Member Function Documentation

template<class P1, class P2, class P3, class P4>

virtual void ArFunctor4< P1, P2, P3, P4 >::invoke | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3,
|  | P4 | p4 |
| ) |  |  | `[pure virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter
  | p2 | second parameter
  | p3 | third parameter
  | p4 | fourth parameter

Implemented in ArGlobalFunctor4< P1, P2, P3, P4 >, ArFunctor4C< T, P1, P2, P3, P4 >, and ArConstFunctor4C< T, P1, P2, P3, P4 >.

template<class P1, class P2, class P3, class P4>

virtual void ArFunctor4< P1, P2, P3, P4 >::invoke | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3 |
| ) |  |  | `[pure virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter
  | p2 | second parameter
  | p3 | third parameter

Implements ArFunctor3< P1, P2, P3 >.

Implemented in ArGlobalFunctor4< P1, P2, P3, P4 >, ArFunctor4C< T, P1, P2, P3, P4 >, and ArConstFunctor4C< T, P1, P2, P3, P4 >.

template<class P1, class P2, class P3, class P4>

virtual void ArFunctor4< P1, P2, P3, P4 >::invoke | ( | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[pure virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter
  | p2 | second parameter

Implements ArFunctor3< P1, P2, P3 >.

Implemented in ArGlobalFunctor4< P1, P2, P3, P4 >, ArFunctor4C< T, P1, P2, P3, P4 >, and ArConstFunctor4C< T, P1, P2, P3, P4 >.

template<class P1, class P2, class P3, class P4>

virtual void ArFunctor4< P1, P2, P3, P4 >::invoke | ( | P1 | p1 | ) | `[pure virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter

Implements ArFunctor3< P1, P2, P3 >.

Implemented in ArGlobalFunctor4< P1, P2, P3, P4 >, ArFunctor4C< T, P1, P2, P3, P4 >, and ArConstFunctor4C< T, P1, P2, P3, P4 >.

The documentation for this class was generated from the following file:

- ArFunctor.h